Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## BEA WebLogic Server 9.0 API Reference

## weblogic.deploy.api.spi.factories
Interface WebLogicDeploymentFactory

All Superinterfaces:
  DeploymentFactory

public interface WebLogicDeploymentFactory
extends DeploymentFactory

This is a WebLogic extension to javax.enterprise.deploy.spi.factories.DeploymentFactory. Use this factory interface to select and allocate DeploymentManager objects that have different characteristics based on the URI provided to the getDeploymentManager method. The DeploymentManager characteristics are defined by public fields.

  Copyright © 2005 BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `AUTH_DM_URI` Pre-authorized DeploymentManager URI.
`static int` | `AUTH_URI_INDEX`
`static String` | `DEFAULT_HOST`
`static int` | `DEFAULT_PORT`
`static String` | `DEFAULT_PORT_STRING`
`static String` | `DEFAULT_PROTOCOL`
`static String` | `DEFAULT_URL`
`static String` | `LOCAL_DM_URI` Local access DeploymentManager URI.
`static int` | `LOCAL_URI_INDEX`
`static String` | `REMOTE_DM_URI` Remote access DeploymentManager URI.
`static int` | `REMOTE_URI_INDEX`

Method Summary
`String` | `createUri(String deployerUri, String host, String port)` Builds a URI for obtaining a connected DeploymentManager.
`String` | `createUri(String protocol, String deployerUri, String host, String port)` Builds a URI for obtaining a connected DeploymentManager.
`DeploymentManager` | `getDeploymentManager(String uri, String username, String password)` The uri parameter is of the form DMURI[:protocol://][host:port].
`DeploymentManager` | `getDisconnectedDeploymentManager(String uri)` The uri parameter must be one of those defined in this interface.
`String[]` | `getUris()` Returns the supported URIs for this factory.

Methods inherited from interface javax.enterprise.deploy.spi.factories.DeploymentFactory
`getDisplayName, getProductVersion, handlesURI`

Field Detail

### AUTH_DM_URI

    public static final String AUTH_DM_URI

  Pre-authorized DeploymentManager URI.

  This DeploymentManager assumes it is running on the same host as the admin server of the domain being deployed to, and that it does not require authentication. This provides the same characteristics as `LOCAL_DM_URI` but assumes that the deployer tool has already obtained a context with the server.

  See Also:
    Constant Field Values

### AUTH_URI_INDEX

    public static final int AUTH_URI_INDEX

See Also:
  Constant Field Values

### DEFAULT_HOST

    public static final String DEFAULT_HOST

See Also:
  Constant Field Values

### DEFAULT_PORT

    public static final int DEFAULT_PORT

See Also:
  Constant Field Values

### DEFAULT_PORT_STRING

    public static final String DEFAULT_PORT_STRING

See Also:
  Constant Field Values

### DEFAULT_PROTOCOL

    public static final String DEFAULT_PROTOCOL

See Also:
  Constant Field Values

### DEFAULT_URL

    public static final String DEFAULT_URL

See Also:
  Constant Field Values

### LOCAL_DM_URI

    public static final String LOCAL_DM_URI

  Local access DeploymentManager URI.

  Use this DeploymentManager for deployment sessions that run on the same host as the Administration Server for the domain. All paths and filenames referenced during the deployment session are treated as being local to the Administration Server. This DeploymentManager does not enable module-level targeting by default.

  See Also:
    Constant Field Values

### LOCAL_URI_INDEX

    public static final int LOCAL_URI_INDEX

See Also:
  Constant Field Values

### REMOTE_DM_URI

    public static final String REMOTE_DM_URI

  Remote access DeploymentManager URI.

  Use this DeploymentManager URI for deployment sessions that do not run on the same host as the Administration Server for the domain. Any files that are distributed as part of the deployment session are first uploaded to the Administration Server's configured upload directory.

  See Also:
    Constant Field Values

### REMOTE_URI_INDEX

    public static final int REMOTE_URI_INDEX

See Also:
  Constant Field Values

Method Detail

### createUri

    public String createUri(String deployerUri,
                            String host,
                            String port)

  Builds a URI for obtaining a connected DeploymentManager. You must use one of the protocols specified in the public fields. This method does not perform validation on the result.

  Parameters:
    `deployerUri` - is one of the URIs defined in this interface. This param identifies the behaviors of the deployer
    `host` - is the name or address of the domain's admin server
    `port` - os the port number used by the admin server

### createUri

    public String createUri(String protocol,
                            String deployerUri,
                            String host,
                            String port)

  Builds a URI for obtaining a connected DeploymentManager. You must use one of the protocols specified in the public fields. This method does not perform validation on the result.

  Parameters:
    `protocol` - is an optional IP protocol
    `deployerUri` - is one of the URIs defined in this interface. This param identifies the behaviors of the deployer
    `host` - is the name or address of the domain's admin server
    `port` - os the port number used by the admin server

### getDeploymentManager

    public DeploymentManager getDeploymentManager(String uri,
                                                  String username,
                                                  String password)
                                           throws DeploymentManagerCreationException

  The uri parameter is of the form DMURI[:protocol://][host:port]. DMURI is one of the uri's defined by this interface. If a protocol is not provided, t3 will be used. If host:port is not provided, localhost:7001 is used. eg "deployer:WebLogic" is equivalent to "deployer:WebLogic:t3://localhost:7001".

  Specified by:
    `getDeploymentManager` in interface `DeploymentFactory`
  Throws:
    `DeploymentManagerCreationException`

### getDisconnectedDeploymentManager

    public DeploymentManager getDisconnectedDeploymentManager(String uri)
                                                       throws DeploymentManagerCreationException

  The uri parameter must be one of those defined in this interface.

  Specified by:
    `getDisconnectedDeploymentManager` in interface `DeploymentFactory`
  Throws:
    `DeploymentManagerCreationException`

### getUris

    public String[] getUris()

  Returns the supported URIs for this factory. Each URI identifies a DeploymentManager having unique characteristics. Supported URIs are those defined by the public fields. The first URI in the returned array is always the local access URI, `LOCAL_DM_URI`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs90 Copyright 2005 BEA Systems Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD